# Standard_DimensionError.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Standard_DimensionError.hxx>`
`#include <Standard_SStream.hxx>`
`#include <Standard_DomainError.hxx>`

## Defines

#define | Standard_DimensionError_Raise_if(CONDITION, MESSAGE) if (CONDITION) Standard_DimensionError::Raise(MESSAGE);

## Define Documentation

#define Standard_DimensionError_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) Standard_DimensionError::Raise(MESSAGE);